/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes.ejb;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.ejb.Stateless;

import br.urca.solicitacoes.ILocalizadorSetores;
import br.urca.solicitacoes.Setor;
import br.urca.solicitacoes.dao.ILocalizadorSetoresDAO;

@Stateless
public class LocalizadorSetoresBean implements ILocalizadorSetores, Serializable
{
	private static final long serialVersionUID = -6605070417114658624L;
	
	@EJB
	private ILocalizadorSetoresDAO fLocalizadorSetores;
	
	public List<Setor> localizarSetores(short codigoInstituicao)
	{
		return fLocalizadorSetores.localizarSetores(codigoInstituicao);
	}
}
