/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes.validacao;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

import br.urca.util.UtilsString;

public class EmailValidator implements ConstraintValidator<Email, String>
{
	@Override
	public void initialize(Email constraintAnnotation)
	{
	}

	@Override
	public boolean isValid(
		String value, ConstraintValidatorContext constraintValidatorContext)
	{
		if (UtilsString.nuloOuVazio(value))
		{
			return true;
		}
		org.apache.commons.validator.EmailValidator validadorEmail =
			org.apache.commons.validator.EmailValidator.getInstance();
		return validadorEmail.isValid(value);
	}
}
